%define _altdata_dir %_datadir/alterator

Name: alterator-net-general
Version: 0.7
Release: alt1.M40.2

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch:	noarch

Source:%name-%version.tar

Summary: alterator module for general network settings
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 2.9 gettext dhcpcd
Requires: alterator-net-common
Conflicts: alterator-fbi < 0.15-alt2

BuildPreReq: alterator >= 3.1, alterator-fbi >= 0.7-alt1

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for general network settings

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
%find_lang %name


%files -f %name.lang
%_var/www/html/*
%_altdata_dir/applications/*
%_altdata_dir/ui/*/
%_altdata_dir/help/*/*
%_alterator_backend3dir/*


%changelog
* Wed Aug 27 2008 Michael Shigorin <mike@altlinux.org> 0.7-alt1.M40.2
- *proofread* uk.po

* Wed Aug 27 2008 Michael Shigorin <mike@altlinux.org> 0.7-alt1.M40.1
- proofread uk.po, Ukrainian help

* Mon Jan 14 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt1
- update module to new help system

* Thu Aug 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt2
- don't restart network on-next (network will be restarted by net-eth module)

* Thu Jul 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt1
- replace slow ifdump with ifvar/ifcheckdhcp
- move common functions to common package alterator-net-common

* Wed Jul 18 2007 Stanislav Ievlev <inger@altlinux.org> 0.5-alt3
- rename 'dhcp' option to has_dhcp to avoid constraints conflict with net-eth.
- add support for .info files from modern dhcpcd client
- fix update function

* Mon Jun 25 2007 Stanislav Ievlev <inger@altlinux.org> 0.5-alt2
- fix conflict: default values vs. constraints system

* Wed Jun 13 2007 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- add desktop file

* Thu May 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt21.2
- fix default *_auto values (without dhcp)

* Thu May 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt21.1
- fix

* Thu May 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt21
- add frame:auto-load hook

* Thu May 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt20
- hotfix: resurrect ui

* Thu May 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt19
- rebuild with latest standalone

* Mon May 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt18
- update for new dhcpcd client (don't use deprecated -D option)

* Thu May 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt17
- run ifdump only for configured interfaces

* Thu May 03 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt16
- shutup ifup (in verbose mode)

* Mon Apr 23 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt15
- update Ukrainian translation

* Thu Apr 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt14
- little CSS optimizations

* Wed Apr 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt13
- backend: start loopback device at start

* Thu Apr 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt12
- remove config-*

* Mon Apr 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt11
- add 'auto_save' - lightweight saving facility for installer tabbed interface

* Fri Mar 30 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt10
- add Ukrainian translation
- help improvements from kirill@

* Wed Mar 28 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt9
- improve po template generation
- add documentation

* Mon Mar 26 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt8
- assign weight

* Wed Mar 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt7
- assign 'Network' group

* Wed Mar 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt6
- more translations

* Tue Mar 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt5
- more translations

* Mon Mar 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt4
- prepare for tabbox

* Fri Feb 16 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt3
- save settings before goto

* Wed Feb 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- add href to network tcp 

* Thu Feb 08 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- add fbi data

* Wed Feb 07 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt6
- clear enviroment before ifup/ifdown start (was problems in etcnet)

* Mon Feb 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt5
- bugfix: write localhost.localdomain to /etc/hosts

* Wed Jan 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt4
- fix behaviour on unexpected action request
- reload only dhcp interfaces

* Mon Jan 29 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt3
- require concrete dhcp client package (dhcpcd)
- add support for autoinstall

* Mon Jan 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- conditional start for dhcp interfaces only
- require gettext

* Thu Jan 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- backend: add constraint labels
- backend: restart network only in dhcp mode

* Tue Dec 12 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt10
- fix woo-write/constraints

* Thu Dec 07 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt9
- save translation in UTF-8

* Fri Dec 01 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt8
- fix typo
- show splash during network install

* Thu Nov 30 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt7
- tunings for installer

* Fri Nov 24 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt6
- add translations
- use "default" constraints for writing (for html form)

* Fri Nov 24 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt5
- add excludings

* Wed Nov 15 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- enable constraints

* Wed Nov 01 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- minor bugfixes

* Thu Oct 26 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- fix backend

* Mon Oct 16 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- replace command-arg-ref with woo-get-option

* Mon Oct 02 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- initial release

